<?php

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    wishlist-dot-com-for-woocommerce
 * @subpackage wishlist-dot-com-for-woocommerce/includes
 * @author     WishList.com, Inc. <plugins@wishlist.com>
 */
class Wishlist_Dot_Com_For_Woocommerce_Activator {

    /**
     * runs at activation
     *
     * Long Description.
     *
     * @since    1.0.0
     */
    public static function activate() {

        //create WishList homepage that's linked to from the top menu's "Wishlist" link. Slug is automatically made unique
        wc_create_page(
            sanitize_title_with_dashes( WISHLIST_DOT_COM_FOR_WOOCOMMERCE_WISHLIST_HOMEPAGE_TITLE ),
            WISHLIST_DOT_COM_FOR_WOOCOMMERCE_WISHLIST_HOMEPAGE_PAGE_OPTION,
            WISHLIST_DOT_COM_FOR_WOOCOMMERCE_WISHLIST_TITLE,
            WISHLIST_DOT_COM_FOR_WOOCOMMERCE_WISHLIST_HOMEPAGE_CONTENT
        );
    }

}
